using System.Data;
using Transport.DAL;
namespace Transport.BLL
{
    class bll_company
    {
        public static DataTable SelectCompanyList()
        {
            DataTable ResultTable = dal_company.CompanyList();
            return ResultTable;
        }

        public static DataTable selectedCompanyDetails(string companyID)
        {
            DataTable resultDataTable = dal_company.selectedCompanyDetails(companyID);
            return resultDataTable;
        }

        //جستجو در جدول شرکت ها بر اساس رشته پرس و جوی ارسالی از فرم
        public static DataTable search_in_company(string SQLQuery)
        {
            DataTable SearchResultTable = dal_commonCrud.search(SQLQuery);
            return SearchResultTable;
        }

        // فرخوانی متد انتخاب همه رکوردهای  جدول شرکت ها توسط این متد انجام میگیرد
        public static DataTable SelectAllRecord(string TableName)
        {
            return dal_commonCrud.SelectAllRecords(TableName);
        }


        // فراخوانی متد اجرای دستورات توسط این متد انجام میگیرد
        public static bool RunQuery(string SQLQuery)
        {
            bool TransactionResult = dal_commonCrud.RunQuery(SQLQuery);
            return TransactionResult;
        }

        #region checkRecordExist
        public static bool checkRecordExist(string tableName, string fieldName, string fieldValue)
        {
            bool result = dal_commonCrud.checkRecordExists(tableName, fieldName, fieldValue);

            return result;
        }
        #endregion
    }
}
